Bug 1287201 - (kf5-kross-interpreters) Review Request: kf5-kross-interpreters - Kross interpreters for KDE Frameworks 5
Review Request: kf5-kross-interpreters - Kross interpreters for KDE Frameworks 5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Dersch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2015-12-01 13:15 EST by Rex Dieter
Modified: 2016-05-07 07:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-02 14:53:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lupinix: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2015-12-01 13:15:42 EST
Spec URL: https://rdieter.fedorapeople.org/rpms/kde-apps/kf5-kross-interpreters.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde-apps/kf5-kross-interpreters-15.08.3-1.fc23.src.rpm
Description: Kross interpreters for KDE Frameworks 5
Fedora Account System Username: rdieter

A parallel-installable kf5-based kross-interpreters package, we need to keep the kde4-based kross-interpreters around for awhile (other packages still need it)
Comment 1 Rex Dieter 2015-12-01 13:17:33 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12023969
Comment 2 Upstream Release Monitoring 2015-12-01 13:30:27 EST
rdieter's scratch build of kf5-kross-interpreters-15.08.3-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12023969
Comment 3 Christian Dersch 2016-04-19 11:51:44 EDT
Taken
Comment 4 Christian Dersch 2016-04-20 16:32:20 EDT
Approved, but please note that version 16.04.0 is available now (is a should item => OK for review).


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

===> Known mock issue => False positive


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "*No copyright* BSD (3 clause)", "LGPL (v2 or
     later)", "Unknown or generated". 10 files have unknown license.
     Detailed output of licensecheck in /home/review/1287201-kf5-kross-
     interpreters/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in kf5
     -kross-python , kf5-kross-interpreters-debuginfo
[x]: Package functions as described.
[!]: Latest version is packaged.

===> 16.04.0 is the latest available release

[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.17 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.17
INFO: Mock Version: 1.2.17
Finish: chroot init
INFO: installing package(s): /home/review/1287201-kf5-kross-interpreters/results/kf5-kross-interpreters-15.08.3-1.fc25.x86_64.rpm /home/review/1287201-kf5-kross-interpreters/results/kf5-kross-python-15.08.3-1.fc25.x86_64.rpm /home/review/1287201-kf5-kross-interpreters/results/kf5-kross-interpreters-debuginfo-15.08.3-1.fc25.x86_64.rpm /home/review/1287201-kf5-kross-interpreters/results/kf5-kross-interpreters-debuginfo-15.08.3-1.fc25.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/review/1287201-kf5-kross-interpreters/results/kf5-kross-interpreters-15.08.3-1.fc25.x86_64.rpm /home/review/1287201-kf5-kross-interpreters/results/kf5-kross-python-15.08.3-1.fc25.x86_64.rpm /home/review/1287201-kf5-kross-interpreters/results/kf5-kross-interpreters-debuginfo-15.08.3-1.fc25.x86_64.rpm /home/review/1287201-kf5-kross-interpreters/results/kf5-kross-interpreters-debuginfo-15.08.3-1.fc25.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: kf5-kross-interpreters-15.08.3-1.fc25.x86_64.rpm
          kf5-kross-python-15.08.3-1.fc25.x86_64.rpm
          kf5-kross-interpreters-debuginfo-15.08.3-1.fc25.x86_64.rpm
          kf5-kross-interpreters-15.08.3-1.fc25.src.rpm
kf5-kross-interpreters.x86_64: E: no-binary
kf5-kross-interpreters.x86_64: W: no-documentation
kf5-kross-python.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 2 warnings.

===> OK


Requires
--------
kf5-kross-interpreters (rpmlib, GLIBC filtered):

kf5-kross-interpreters-debuginfo (rpmlib, GLIBC filtered):

kf5-kross-python (rpmlib, GLIBC filtered):
    kf5-kross-interpreters
    libKF5KrossCore.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Script.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    rtld(GNU_HASH)



Provides
--------
kf5-kross-interpreters:
    kf5-kross-interpreters
    kf5-kross-interpreters(x86-64)

kf5-kross-interpreters-debuginfo:
    kf5-kross-interpreters-debuginfo
    kf5-kross-interpreters-debuginfo(x86-64)

kf5-kross-python:
    kf5-kross-python
    kf5-kross-python(x86-64)
    kf5-kross-python2
    kf5kross(python)
    kf5kross(python2)



Unversioned so-files
--------------------
kf5-kross-python: /usr/lib64/qt5/plugins/krosspython.so

====> OK, is a plugin

Source checksums
----------------
http://download.kde.org/stable/applications/15.08.3/src/kross-interpreters-15.08.3.tar.xz :
  CHECKSUM(SHA256) this package     : 39d9e0ad5de9ab56692d7928bc2ab1b8a9961092433c724057e2155b5e1f5ed7
  CHECKSUM(SHA256) upstream package : 39d9e0ad5de9ab56692d7928bc2ab1b8a9961092433c724057e2155b5e1f5ed7


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1287201
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Rex Dieter 2016-04-21 09:02:26 EDT
scm request submitted
Comment 6 Fedora Update System 2016-04-23 18:36:40 EDT
kf5-kross-interpreters-16.04.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9594588add
Comment 7 Fedora Update System 2016-04-23 18:37:54 EDT
kf5-kross-interpreters-16.04.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1da015da73
Comment 8 Fedora Update System 2016-04-23 21:24:04 EDT
kf5-kross-interpreters-16.04.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9594588add
Comment 9 Fedora Update System 2016-04-24 02:22:34 EDT
kf5-kross-interpreters-16.04.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1da015da73
Comment 10 Fedora Update System 2016-05-02 14:53:26 EDT
kf5-kross-interpreters-16.04.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-05-07 07:57:57 EDT
kf5-kross-interpreters-16.04.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.